<?php
if (!defined("IN_FUSION")) { die("Access Denied"); }

define("THEME_BULLET", "<span class='bullet'></span>");
require_once INCLUDES."theme_functions_include.php";
require_once THEME."theme_func.php";

function render_page($license=false) {	
	global $settings, $main_style, $locale, $db_prefix;
	//Header //Search //
	echo "<div id='outer'>";
	echo "<div id='container'>";
	echo "<div id='search'><form action='".BASEDIR."search.php' method='get' name='szukajka'> ";
	echo "<input type='text' class='textbox' name='stext'>";
	echo "&nbsp;<input type='submit' class='szukaj' value='Szukaj &raquo;' name='search'>";
	echo "<input type='hidden' value='all' name='stype'></form></div>";
	echo "<div id='title'><h2><a href='".BASEDIR."index.php'>".$settings['sitename']."</a></h2>".$settings['description']."</div></div>";		
	//Content //
	echo "<div id='content2'><div class='col01'>";
	echo U_CENTER.CONTENT.L_CENTER;
	echo "</div><div class='side-columns'><div class='col02'>";
	// Recent Posts //
	$inpath = pathinfo(cleanurl(FUSION_REQUEST));
	if (!preg_match("/(\/administration)$/",$inpath['dirname'])) {
	echo "<div id='recent-posts'><div id='top'>&nbsp;</div><div class='recent-posts'><ul>";
	$result = dbquery("SELECT * FROM ".$db_prefix."news ORDER BY news_datestamp DESC LIMIT 0, 5");
	$numrows = dbrows($result);
	for ($i=0;$i < $numrows;$i++) {
	$data = dbarray($result);	
	echo "<li>";
	echo "<a href='".BASEDIR."news.php?readmore=".$data['news_id']."'>".$data['news_subject']."<br />";
	echo date("G:i, j F Y",$data['news_datestamp'])."</a>";
	echo "</li>"; }
	echo "</ul></div><div id='bottom'>&nbsp;</div></div>"; }
	//Right Sidebar //
	echo LEFT;
	echo "</div></div><br clear='all' /></div></div>";		
	//Footer //
	echo "<div id='footer-holder'>";
	echo "<div class='footer'>Powered by <a href='http://www.php-fusion.co.uk'>PHP-Fusion</a> copyright &copy; 2002 - ".date("Y")." by Nick Jones.<br />";
	echo "Released as free software without warranties under <a href='http://www.fsf.org/licensing/licenses/agpl-3.0.html'>GNU Affero GPL</a> v3.<br />";
	echo "<a href='http://notepadchaos.com'>Notepad Chaos</a> Theme by <a href='http://www.evaneckard.com/'>Evan Eckard</a>. Ported to PHP-Fusion by <a href='http://diablostudios.za.pl'>DiabloStudios</a></div>";
	echo "<span class='evaneckard'><a href='http://www.evaneckard.com'>Evan Eckard Design</a></span>";
	echo "<span class='smashing'><a href='http://www.smashingmagazine.com'>Smashing Magazine</a></span>";
	echo "<span class='rss'><a href='#'>RSS</a></span></div></div>";
}

function render_news($subject, $news, $info) {
	echo "<div class='post' id='post'>";
    echo "<h3>".$subject."</h3>";
    echo "<div class='post-inner'>";
    echo "<div class='date-tab'><span class='month'>".news_month($info)."</span><span class='day'>".news_day($info)."</span></div>";
	echo $news;
    echo "</div>";
    echo "<div class='meta'>".news_author($info).news_readmore_com($info)."</div>";
    echo "</div>";
}

function render_article($subject, $article, $info) {	
	echo "<div class='post' id='post'>";
    echo "<h3>".$subject."</h3>";
    echo "<div class='post-inner'>";
    echo "<div class='date-tab'><span class='month'>".article_month($info)."</span><span class='day'>".article_day($info)."</span></div>";
	echo ($info['article_breaks'] == "y" ? nl2br($article) : $article);
    echo "</div>";
    echo "<div class='meta'>".article_author($info).article_com($info)."</div>";
    echo "</div>";
}

function opentable($title) {
	echo "<div id='capmain'>".$title."</div>\n";
	echo "<div id='main-body'>\n";
}

function closetable() {
	echo "</div>\n";
}

function openside($title) {
	echo "<div id='scapmain'>".$title."</div>";
	echo "<div id='side-body'>\n";	
}

function closeside() {	
	echo "</div>\n";
}
?>
